﻿namespace DeviceManagement.ViewModels;

public partial class DeviceManagerViewModel : ObservableObject
{
    public DeviceManagerViewModel(DeviceCollection deviceCollection)
    {
        this.DeviceCollection = deviceCollection;

        FakeData();
    }
    void FakeData()
    {
        DeviceCollection.Devices ??= [];
        DeviceCollection.Devices[DeviceModel.JetKepler] = [];
        for (int i = 1; i <= 6; i++)
        {
            DeviceInfo device = new()
            {
                DeviceModel = DeviceModel.JetKepler,
                DeviceSubModel = KeplerSubModel.JetKepler_2200A,
                DeviceName = $"Device {i}",
                Position = $"position-{i}",
                SoftwareVersion = "1.0.0.0",
                Guid = Guid.NewGuid(),
            };

            DeviceCollection.Devices[DeviceModel.JetKepler].Add(device);
        }

        DeviceCollection.Devices[DeviceModel.Proxima] = [];

        for (int i = 1; i <= 3; i++)
        {
            DeviceInfo device = new()
            {
                DeviceModel = DeviceModel.Proxima,
                DeviceSubModel = ProximaSubModel.ELK,
                DeviceName = $"Device {i}",
                Position = $"position-{i}",
                SoftwareVersion = "1.0.0.0",
                Guid = Guid.NewGuid(),
            };

            DeviceCollection.Devices[DeviceModel.Proxima].Add(device);
        }

    }


    [ObservableProperty]
    private DeviceCollection _DeviceCollection;


    [RelayCommand]
    private void CheckDetail(DeviceInfo deviceInfo)
    {

    }

    [RelayCommand]
    private void Setting(DeviceInfo deviceInfo)
    {

    }
}
